DataBinding (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.databinding

## Interface DataBinding

- All Known Implementing Classes:
    `AbstractDataBinding`, `AbstractInterceptorProvidingDataBinding`, `SourceDataBinding`, `StaxDataBinding`

      public interface DataBinding

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> DataReader<T>` | `createReader​(Class<T> cls)` |
    `<T> DataWriter<T>` | `createWriter​(Class<T> cls)` |
    `Map<String,​String>` | `getDeclaredNamespaceMappings()` | Return a set of mappings from namespace to prefix to allow bindings to control the prefixes.
    `int` | `getMtomThreshold()` |
    `Class<?>[]` | `getSupportedReaderFormats()` |
    `Class<?>[]` | `getSupportedWriterFormats()` |
    `void` | `initialize​(Service service)` | Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.
    `boolean` | `isMtomEnabled()` |
    `void` | `setMtomEnabled​(boolean enabled)` |
    `void` | `setMtomThreshold​(int threshold)` | If the binding supports MTOM, set the size threshold for its use.

- - ### Method Detail

    - #### createReader

          <T> DataReader<T> createReader​(Class<T> cls)

    - #### createWriter

          <T> DataWriter<T> createWriter​(Class<T> cls)

    - #### getSupportedReaderFormats

          Class<?>[] getSupportedReaderFormats()

    - #### getSupportedWriterFormats

          Class<?>[] getSupportedWriterFormats()

    - #### initialize

          void initialize​(Service service)

      Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.
      Parameters:
        `service` -

    - #### getDeclaredNamespaceMappings

          Map<String,​String> getDeclaredNamespaceMappings()

      Return a set of mappings from namespace to prefix to allow bindings to control the prefixes.
      Returns:
        the map, or null if there are none.

    - #### setMtomEnabled

          void setMtomEnabled​(boolean enabled)

    - #### isMtomEnabled

          boolean isMtomEnabled()

    - #### setMtomThreshold

          void setMtomThreshold​(int threshold)

      If the binding supports MTOM, set the size threshold for its use. may be overridden by (e.g.) JAXWS configuration.
      Parameters:
        `threshold` -

    - #### getMtomThreshold

          int getMtomThreshold()